<button type="button" class="btn btn-block btn-outline-success"
        *ngIf="currentCard !== null && currentCard.account !== null"
        style="height: 62px; overflow: hidden"
        (click)="showChargeCheckoutConfirmationModal(checkoutChargeConfirmationModal)">
  <span *ngIf="(totalChargeAmount$ | async) >= 0">Deposit</span>
  <span *ngIf="(totalChargeAmount$ | async) < 0">Withdrawal</span>
  <br>
  <span>{{(totalChargeAmount$ | async)  | currency}}</span>
</button>
<button type="button" class="btn btn-block btn-outline-warning"
        *ngIf="currentCard === null || currentCard.account === null"
        disabled style="height: 62px; overflow: hidden">
  Checkout<br>
  <span>No card on reader!</span>
</button>

<ng-template let-modal let-product="cart" #checkoutChargeConfirmationModal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Checkout Confirmation
      <small *ngIf="currentCard !== null && currentCard.account !== null">
        <br>Current Balance: {{currentCard.account.balance | currency}}
        <br>New Balance: {{currentCard.account.balance + (totalChargeAmount$ | async) | currency}}
      </small>
    </h4>
    <button type="button" class="close" aria-label="Close" (click)="modalInstance.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="form-group">
      <label for="textareaComment">Comments</label>
      <textarea class="form-control" id="textareaComment" rows="4" [(ngModel)]="comments"></textarea>
    </div>
  </div>
  <div class="modal-footer">
    <button class="btn btn-outline-warning" (click)="modalInstance.dismiss()">DISMISS</button>
    <button class="btn btn-outline-success" (click)="modalInstance.close(comments)">CHECKOUT</button>
  </div>
</ng-template>
